org.apache.cassandra.cli

## Class CliCompleter

- java.lang.Object
- - jline.SimpleCompletor
  - - org.apache.cassandra.cli.CliCompleter

All Implemented Interfaces:
  java.lang.Cloneable, jline.Completor

    public class CliCompleter
    extends jline.SimpleCompletor

### Nested Class Summary

### Nested classes/interfaces inherited from class jline.SimpleCompletor

`jline.SimpleCompletor.NoOpFilter, jline.SimpleCompletor.SimpleCompletorFilter`

### Constructor Summary

Constructors
Constructor and Description
`CliCompleter()`

### Method Summary

### Methods inherited from class jline.SimpleCompletor

`addCandidateString, clone, complete, getCandidates, getDelimiter, setCandidates, setCandidateStrings, setDelimiter`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CliCompleter

    public CliCompleter()